%define upstream_name    Sys-Syslog
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Provides same functionality as BSD syslog
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(POSIX)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
'Sys::Syslog' is an interface to the UNIX 'syslog(3)' program. Call
'syslog()' with a string priority and a list of 'printf()' args just like
'syslog(3)'.

You can find a kind of FAQ in the "THE RULES OF SYS::SYSLOG" manpage.
Please read it before coding, and again before asking questions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Fri Nov 04 2011 jquelin <jquelin> 0.290.0-2.mga2
+ Revision: 162842
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 0.290.0-1.mga2
+ Revision: 112081
- update to 0.29

* Sun Jun 12 2011 sander85 <sander85> 0.280.0-2.mga2
+ Revision: 105005
- Rebuild for perl 5.14

* Mon Apr 18 2011 kharec <kharec> 0.280.0-1.mga1
+ Revision: 87750
- new version

* Sat Jan 22 2011 jquelin <jquelin> 0.270.0-3.mga1
+ Revision: 31221
- mageia rebuild
- imported package perl-Sys-Syslog

